# Duende.IdentityServer.Storage

## Overview
Duende.IdentityServer.Storage is a support package for IdentityServer. It defines the interfaces and models for the operational and configuration stores of IdentityServer. Most IdentityServer implementations won't take this package as a direct dependency. It is typically used by custom implementations of the stores. 

## About IdentityServer
[IdentityServer](https://www.nuget.org/packages/Duende.IdentityServer) is a highly extensible, standards-compliant framework for implementing the OpenID Connect and OAuth 2.x protocols in ASP.NET Core. 

## Getting Started
Check out our [Quickstart Tutorial Series](https://docs.duendesoftware.com/identityserver/v7/quickstarts/) for step-by-step guidance. In particular, [QuickStart 4](https://docs.duendesoftware.com/identityserver/v7/quickstarts/4_ef/) shows how to use this Entity Framework based implementation of the persistence stores from this package.

## Licensing
Duende IdentityServer is source-available, but requires a paid [license](https://duendesoftware.com/products/identityserver) for production use.

- **Development and Testing**: You are free to use and explore the code for development, testing, or personal projects without a license.
- **Production**: A license is required for production environments. 
- **Free Community Edition**: A free Community Edition license is available for qualifying companies and non-profit organizations. Learn more [here](https://duendesoftware.com/products/communityedition).

## Reporting Issues and Getting Support
- For bug reports or feature requests, open an issue on GitHub: [Submit an Issue](https://github.com/DuendeSoftware/Support/issues/new/choose).
- For security-related concerns, please contact us privately at: **security@duendesoftware.com**.

## Related Packages
- [Duende.IdentityServer](https://www.nuget.org/packages/Duende.IdentityServer): OAuth and OpenID Connect framework with in-memory or customizable persistence.
- [Duende.IdentityServer.EntityFramework](https://www.nuget.org/packages/Duende.IdentityServer.EntityFramework.Storage): OAuth and OpenId Connect framework with Entity Framework based persistence.
- [Duende.IdentityServer.AspNetIdentity](https://www.nuget.org/packages/Duende.IdentityServer.AspNetIdentity): Integration between ASP.NET Core Identity and IdentityServer.
- [Duende.IdentityServer.Configuration](https://www.nuget.org/packages/Duende.IdentityServer.Configuration): Configuration API for IdentityServer with in-memory or customizable persistence.
- [Duende.IdentityServer.Configuration.EntityFramework](https://www.nuget.org/packages/Duende.IdentityServer.Configuration.EntityFramework): Configuration API for IdentityServer with Entity Framework based persistence.
- [Duende.IdentityServer.EntityFramework.Storage](https://www.nuget.org/packages/Duende.IdentityServer.EntityFramework.Storage): Support package containing an implementation of the persistence layer of IdentityServer implemented with Entity Framework.
